BASENAME(1)

NOM
basename - Éliminer le chemin d'accès et le suffixe d'un nom de fichier

SYNOPSIS
basename NOM [SUFFIXE]
basename OPTION... NOM...

DESCRIPTION

Afficher le NOM débarrassé de tout chemin. Le suffixe est aussi retiré sur demande.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a, --multiple
    Accepter plusieurs paramètres et les traiter chacun comme un NOM

-s, --suffix=SUFFIXE
    Retirer le SUFFIXE si présent

-z, --zero
    Séparer chaque ligne par un caractère NUL (code ASCII zéro) plutôt que par un retour à la ligne

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

EXEMPLES

basename /usr/bin/sort
    → « sort »

basename include/stdio.h .h
    → « stdio »

basename -s .h include/stdio.h
    → « stdio »

basename -a nimp/chaine1 nimp/chaine2
    → « chaine1 » suivi par « chaine2 »

AUTEUR
Écrit par David MacKenzie.

SIGNALER DES BOGUES
Signaler toute anomalie de basename à bug-coreutils@gnu.org.
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de basename à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
dirname(1), readlink(1)

La documentation complète pour basename est disponible dans un manuel Texinfo. Si les programmes info et basename sont correctement installés sur votre système, la commande

    info coreutils 'basename invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Guillaume Delacour <guillaume DOT delacour AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.